## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-fastrand
Version:        3.0.6
Release:        %autorelease
Summary:        Fast random number generation in Python

License:        Apache-2.0
URL:            https://github.com/lemire/fastrand
# PyPI source does not have demo code
Source:         %{url}/archive/v%{version}/fastrand-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc

%global _description %{expand:
Fast random number generation in an interval in Python using PCG: Up to 10x
faster than random.randint.}

%description %_description

%package -n     python3-fastrand
Summary:        %{summary}

%description -n python3-fastrand %_description


%prep
%autosetup -p1 -n fastrand-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l fastrand


%check
%pyproject_check_import
%py3_test_envvars %python3 demo.py

%files -n python3-fastrand -f %{pyproject_files}
%doc demo.py
%doc README.md

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 3.0.6-2
- Rebuilt for Python 3.14

* Mon May 19 2025 Benson Muite <fed500@fedoraproject.org> - 3.0.6-1
- Initial import bz#2366186
## END: Generated by rpmautospec
